<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Customer Print";
$file = "customer_print.php";
$mgrpcode = "010";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$name = $_POST['name'];
$country = $_POST['country'];
$contpers = $_POST['contpers'];
$city = $_POST['city'];
$state = $_POST['state'];
$broadcast = $_POST['broadcast'];
$agency = $_POST['agency'];

$namecond = "";
$countrycond = "";
$contperscond = "";
$citycond = "";
$statecond = "";
$broadcastcond = "";
$agencycond = "";
//browse($agency);
if (!empty($name)) {
    $namecond = " AND `accode`='$name' ";
}
if (!empty($agency)) {
    $agencycond = " AND `broker`='$agency' ";
}
if (!empty($contpers)) {
    $contperscond = " AND `contpers` LIKE '%$contpers%' ";
}
if (!empty($country)) {
    $countrycond = " AND `country` LIKE '%$country%' ";
}
if (!empty($broadcast)) {
    $broadcastcond = " AND `website` LIKE '%$broadcast%' ";
}
if (!empty($state)) {
    $statecond = " AND `state` = '$state' ";
}
if (!empty($city)) {
    $citycond = " AND `city` LIKE '%$city%' ";
}
$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $agencycond $broadcastcond $statecond $contperscond $namecond $citycond $countrycond")or die(mysqli_error($conn));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <?php
            include("includes/head_rep.php");
            ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr  class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>City</th>
                            <th>State</th>
                            <th>Transporter</th>
                            <th>Mobile 1</th>
                            <th>Mobile 2</th>
                            <!-- <th>Broadcast</th> -->
                            <th>Contact Person</th>
                            <th>GST NO</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            $getname = mysqli_query($conn, "SELECT name FROM `transport` WHERE `code`='$pmain[transporter]'")or die(mysqli_error($conn));
                            $name = mysqli_fetch_array($getname);

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[state]</td>";
                            Echo "<td>$name[name]</td>";
                            Echo "<td>$pmain[mobile]</td>";
                            Echo "<td>$pmain[mobile2]</td>";
                            // Echo "<td>$pmain[website]</td>";
                            Echo "<td>$pmain[contpers]</td>";
                            Echo "<td>$pmain[gstno]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {

    $contents .= "Sr., Name, Group Name, Maintain balances bill-by-bill, Cost centres are applicable, Address, State, Country, Pincode, Primary Mobile No., Contact Name, Phone No., Fax No., E-mail,E-mail Cc, Website, Bank Details - Ref ID, Bank Details - Transaction Type, Bank Details - A/c No., Bank Details - IFS Code, Bank Details - Bank Name, PAN/IT No., GST Registration - Applicable From, GST Registration Type, GST Registration - GSTIN/UIN, Place of Supply (for Outwards), Is the Party a Transporter, Transporter ID, Ledger - Opening Balance, Ledger Opening Balance - Dr/Cr, Bill - Date, Bill - Name, Bill - Amount, Bill Amount - Dr/Cr, Is TDS Applicable, TDS - Nature of Payment, TDS - Applicable From, MSME Registration - Applicable from, MSME Registration - Type of Enterprise, MSME Registration - UDYAM Registration Number \n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        
        $getname = mysqli_query($conn, "SELECT name FROM `transport` WHERE `code`='$pmain[transporter]'")or die(mysqli_error($conn));
        $name = mysqli_fetch_array($getname);
        
        $getbroker = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$pmain[broker]' ") or die(mysqli_error($conn));
        $gbroker = mysqli_fetch_array($getbroker);
        
        $pname = $pmain['name'];
        $grpname = "";
        if (empty($gbroker["name"])) {
            $grpname = "Sundry Debtors";
        } else {
            $grpname = "$gbroker[name]";
        }
        $billbybill = "Yes";
        $ccapp = "No";
        $add1 = str_replace(",", " ", "$pmain[add1]");
        $add2 = str_replace(",", " ", "$pmain[add2]");
        $add3 = str_replace(",", " ", "$pmain[add3]");
        $state = $pmain['state'];
        $country = $pmain['country'];
        $ppin = $pmain['pin'];
        $pmobile = $pmain['mobile'];
        $pmobile2 = $pmain['mobile2'];
        $fax = "";
        $pemail = $pmain['email'];
        $pemailcc = $pmain['email'];
        $pweb = "";
        $pbankdetails = "";
        $ptransfertype = "e-Fund Transfer";
        $pbankacno = "";
        $pbankifsc = "";
        $pbankname = "";
        $pbankcompname = "";
        $panitno = "";
        $pgstappform = "";
        $gstregntype = "Regular";
        $pgstin = "$pmain[gstno]";
        $plsupply = "";
        $transport = "";
        $transportid = "";
        $ledopenbal = "";
        $ledopenbalcrdr = "";
        $billdate = "";
        $billname = "";
        $billamt = "";
        $billamtcrdr = "";
        $istdsapplicable = "";
        $ntrofpayment = "";
        $tdsappform = "";
        $msmeappform = "";
        $msmeenttype = "";
        $msmeregnno = "";
        
        $ptel = $pmain['tel'];
        

        $contents .= $ctr . ",";
        $contents .= $pname . ",";
        $contents .= $grpname . ",";
        $contents .= $billbybill . ",";
        $contents .= $ccapp . ",";
        $contents .= $add1 . ",";
        $contents .= $state . ",";
        $contents .= $pcity . ",";
        $contents .= $country . ",";
        $contents .= $ppin . ",";
        $contents .= $pmobile . ",";
        $contents .= $pname . ",";
        $contents .= $pmobile2 . ",";
        $contents .= $fax . ",";
        $contents .= $pemail . ",";
        $contents .= $pemailcc . ",";
        $contents .= $pweb . ",";
        $contents .= $pbankdetails . ",";
        $contents .= $ptransfertype . ",";
        $contents .= $pbankacno . ",";
        $contents .= $pbankifsc . ",";
        $contents .= $pbankname . ",";
        $contents .= $pbankcompname . ",";
        $contents .= $panitno . ",";
        $contents .= $pgstappform . ",";
        $contents .= $gstregntype . ",";
        $contents .= $pgstin . ",";
        $contents .= $plsupply . ",";
        $contents .= $transport . ",";
        $contents .= $transportid . ",";
        $contents .= $ledopenbal . ",";
        $contents .= $ledopenbalcrdr . ",";
        $contents .= $billdate . ",";
        $contents .= $billname . ",";
        $contents .= $billamt . ",";
        $contents .= $billamtcrdr . ",";
        $contents .= $istdsapplicable . ",";
        $contents .= $ntrofpayment . ",";
        $contents .= $tdsappform . ",";
        $contents .= $msmeappform . ",";
        $contents .= $msmeenttype . ",";
        $contents .= $msmeregnno . "\n";

        $contents .= "" . ",,,,,";
        $contents .= $add2 . "\n";
        
        $contents .= "" . ",,,,,";
        $contents .= $add3 . "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
if (isset($_POST["subpdf"])) {
    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ")or die(mysqli_error($conn));


    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function Footer() {



            //Position at 1.5 cm from bottom

            $this->SetY(-15);

            //Arial italic 8

            $this->SetFont('Arial', 'I', 8);

            //Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('P', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetFillColor(200, 220, 255);
    $pdf->Cell(8, 7, "Sr.", 1, 'C');
    $pdf->Cell(50, 7, "Name", 1);
    $pdf->Cell(50, 7, "Address", 1);
    $pdf->Cell(15, 7, "Country", 1);
    $pdf->Cell(15, 7, "City", 1);
    $pdf->Cell(20, 7, "Email", 1);
    $pdf->Cell(15, 7, "Pin", 1);
    $pdf->Cell(20, 7, "Tel", 1);
    $pdf->Ln();
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(8, 7, "$ctr", 1, 'C');
        $pdf->Cell(50, 7, "$pmain[name]", 1);
        $pdf->Cell(50, 7, "$pmain[add1]  $pmain[add2]  $pmain[add3]", 1);
        $pdf->Cell(15, 7, "$pmain[country]", 1);
        $pdf->Cell(15, 7, "$pmain[city]", 1);
        $pdf->Cell(20, 7, "$pmain[email]", 1);
        $pdf->Cell(15, 7, "$pmain[pin]", 1);
        $pdf->Cell(20, 7, "$pmain[tel]", 1);

        $ctr++;
        $pdf->Ln();
    }

    $pdf->Output("Customer.pdf", "D");
}
?>